image: registry.gitlab.com/system-f/machine/docker/document-build:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

before_script:
  - pwd
  - env
  - export COMMIT_TIME=$(TZ=UTC git show -s --date=format-local:'%Y-%m-%d %H:%M:%S %Z' --pretty=format:%cd $CI_COMMIT_SHA)

build:
  variables:
    COMMIT_TIME: $(TZ=UTC git show -s --date=format-local:'%Y-%m-%d %H:%M:%S %Z' --pretty=format:%cd $CI_COMMIT_SHA)
  script:
    - ./modules/build/build.sh src public
  only:
    - master

pages:
  script:
    - ./modules/build/build.sh src public
  artifacts:
    paths:
      - public
  only:
    - master
